package com.example.petstoremobile.dtos;

public class ConversationDTO {
    private Long id;
    private Long customerId;
    private Long staffId;
    private String status;
    private String mode;
    private String lastMessage;
    private String createdAt;
    private String updatedAt;

    public ConversationDTO() {}

    public ConversationDTO(Long id, Long customerId, Long staffId, String lastMessage, String status) {
        this.id = id;
        this.customerId = customerId;
        this.staffId = staffId;
        this.lastMessage = lastMessage;
        this.status = status;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getLastMessage() {
        return lastMessage;
    }

    public void setLastMessage(String lastMessage) {
        this.lastMessage = lastMessage;
    }

    public String getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(String createdAt) {
        this.createdAt = createdAt;
    }

    public String getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(String updatedAt) {
        this.updatedAt = updatedAt;
    }
}